| Stan Math Library 2.12.0 reverse mode automatic differentiation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
stan::VectorView< T, false, false > Class Template Reference

`#include <VectorView.hpp>`

## Public Types
typedef boost::conditional< boost::is_const< T >::value, typename boost::add_const< typename scalar_type< T >::type >::type, typename scalar_type< T >::type >::type | scalar_t

## Public Member Functions
| VectorView (scalar_t &x)
| VectorView (scalar_t *x)
scalar_t & | operator[] (int i)
scalar_t & | operator[] (int i) const

## Detailed Description

### template<typename T>
class stan::VectorView< T, false, false >

Definition at line 97 of file VectorView.hpp.

## Member Typedef Documentation

template<typename T >

typedef boost::conditional<boost::is_const<T>::value, typename boost::add_const< typename scalar_type<T>::type>::type, typename scalar_type<T>::type>::type stan::VectorView< T, false, false >::scalar_t

Definition at line 103 of file VectorView.hpp.

## Constructor & Destructor Documentation

template<typename T >

stan::VectorView< T, false, false >::VectorView | ( | scalar_t & | x | ) |
| inline explicit

Definition at line 105 of file VectorView.hpp.

template<typename T >

stan::VectorView< T, false, false >::VectorView | ( | scalar_t * | x | ) |
| inline explicit

Definition at line 107 of file VectorView.hpp.

## Member Function Documentation

template<typename T >

scalar_t& stan::VectorView< T, false, false >::operator[] | ( | int | i | ) |
| inline

Definition at line 109 of file VectorView.hpp.

template<typename T >

scalar_t& stan::VectorView< T, false, false >::operator[] | ( | int | i | ) | const
| inline

Definition at line 113 of file VectorView.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/VectorView.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.